Welcome! Log In Create A New Profile

Advanced

FastCGI with mcrypt and gd

Posted by danilowagner 
FastCGI with mcrypt and gd
July 19, 2009 01:50PM
Hi!

I've replaced the lighttpd to nginx. After install phpMyAdmin I get the error:

"Cannot load mcrypt extension. Please check your PHP configuration."

How I can install mycrypt and gd extension in FastCGI + nginx?

I tried to install php5-mcrypt but not work and apt-get install the follow packages too

# libmcrypt4
# php5-cli
# php5-common
# ucf

Thank You
Re: FastCGI with mcrypt and gd
July 19, 2009 09:53PM
Did you compile your own php? If you did, then recompile "--with-mcrypt". If not, consider compiling your own php anyway and use that option.

--
Jim Ohlstein
Re: FastCGI with mcrypt and gd
July 20, 2009 10:18AM
or check if correct php.ini is loaded (see phpinfo() )
Re: FastCGI with mcrypt and gd
July 20, 2009 11:39AM
I check and no php.ini is loaded.

[list]
[*] Configuration File (php.ini) Path /usr/lib
[*] Loaded Configuration File (none)
[*] Scan this dir for additional .ini files (none)
[*] additional .ini files parsed (none)
[/list]

If I load the php.ini the mcrypt will load and work?

Thanks.
Re: FastCGI with mcrypt and gd
July 21, 2009 02:41AM
probably it's installed as extension and loaded by php.ini. Try locating the php.ini and tell php-cgi to load the file
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 101
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready